var pages = [
    {link: "TOC.html", title: "Περιεχόμενα"},
    {link: "Chapter_1.html", title: "Κεφάλαιο 1"},
    {link: "Chapter_2.html", title: "Κεφάλαιο 2"},
	{link: "Chapter_3.html", title: "Κεφάλαιο 3"},
    {link: "Chapter_4.html", title: "Κεφάλαιο 4"},
    {link: "Chapter_5.html", title: "Κεφάλαιο 5"},
	{link: "Chapter_6.html", title: "Κεφάλαιο 6"},
    {link: "Chapter_7.html", title: "Κεφάλαιο 7"},
    {link: "Chapter_8.html", title: "Κεφάλαιο 8"},
	{link: "Bibliography.html", title: "Βιβλιογραφία"},
];

function setChapterNavigationListeners(){
    $("#chapter_navigation_bnt").click(function(e){
        e.stopPropagation();
        $("#chapter_navigation").show('slide', { direction: 'left' }, 800);
        $(this).hide(800);
    });

    $("html, body").click(function(e) {
        if ($("#chapter_navigation").is(':visible'))
        {
            $("#chapter_navigation").hide('slide', { direction: 'left' }, 800);
            $("#chapter_navigation_bnt").show(800);
        }
    });

    $('#chapter_navigation').on('click', 'a[href^="#"]', function(e) {
        e.stopPropagation();
        var target = $(this.hash);
        if( target.length ) {
            //e.preventDefault();
            $('html, body').animate({
                scrollTop: target.offset().top
            }, 2000);
        }
    });
   
    $('#chapter_navigation').on('click', 'a', function(e) {
        e.stopPropagation();
        if (!this.hash)
            window.location.href = this.href;
    });

    $('#chapter_navigation').click(function(e){
        e.stopPropagation();
    });
}

/*function addChapterNavigation(){
   var sections = $("body").find(".section");
   $("body").append('<div id="chapter_navigation_bnt"><img src="images/details.png"/></div>');
   $("body").append('<div id="chapter_navigation"><div class="list-heading">Επιλογές</div></div>');
   $("#chapter_navigation").append("<ul></ul>");
   $.each(sections, function(index, section){
      $("#chapter_navigation ul").append("<li><a href='#"+ section.id + "'>" + section.textContent + "</a></li>");
   });
   setChapterNavigationListeners();
}*/

function addChapterNavigation(){
    var current_path = window.location.pathname;
    var current_page = current_path.substring(current_path.lastIndexOf("/")+1);
    $("#chapter_navigation li.pageAnchor").remove(); //remove previous page anchors
    var element = $("#chapter_navigation a[href='"+ current_page +"']").first().closest("li");
    var sections = $("body").find(".section").get().reverse();
    $.each(sections, function(index, section){
        $("<li class='pageAnchor'><a href='#"+ section.id + "'>" + section.textContent + "</a></li>").insertAfter(element);
    });
}

function addPageNavigation (){
    $("body").append('<div id="chapter_navigation_bnt"><img src="images/details.png"/></div>');
    $("body").append('<div id="chapter_navigation"><div class="list-heading">Επιλογές</div></div>');
    $("#chapter_navigation").append("<ul></ul>");
    $.each(pages, function(index, page){
        $("#chapter_navigation ul").append("<li><a href='" + page.link + "'>" + page.title + "</a></li>");
    });
    setChapterNavigationListeners();
}

$(document).ready(function() {
   addPageNavigation();
   addChapterNavigation();
});
